/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.*;

public final class TextLayout extends Resource {

public TextLayout (Device device) {
}

void destroy() {
}

public void draw (GC gc, int x, int y) {
}

public void draw (GC gc, int x, int y, int selectionStart, int selectionEnd, Color selectionForeground, Color selectionBackground) {
}

public void draw (GC gc, int x, int y, int selectionStart, int selectionEnd, Color selectionForeground, Color selectionBackground, int flags) {
}

public int getAlignment () {
	return 0;
}

public int getAscent () {
	return 0;
}

public Rectangle getBounds () {
	return null;
}

public Rectangle getBounds (int start, int end) {
	return null;
}

public int getDescent () {
	return 0;
}

public Font getFont () {
	return null;
}

public int getIndent () {
	return 0;
}

public boolean getJustify () {
	return false;
}

public int getLevel (int offset) {
	return 0;
}

public Rectangle getLineBounds (int lineIndex) {
	return null;
}

public int getLineCount () {
	return 0;
}

public int getLineIndex (int offset) {
	return 0;
}

public FontMetrics getLineMetrics (int lineIndex) {
	return null;
}

public int[] getLineOffsets () {
	return null;
}

public Point getLocation (int offset, boolean trailing) {
	return null;
}

public int getNextOffset (int offset, int movement) {
	return 0;
}

public int getOffset (Point point, int[] trailing) {
	return 0;
}

public int getOffset (int x, int y, int[] trailing) {
	return 0;
}

public int getOrientation () {
	return 0;
}

public int getPreviousOffset (int offset, int movement) {
	return 0;
}

public int[] getRanges () {
	return null;
}

public int[] getSegments () {
	return null;
}

public int getSpacing () {
	return 0;
}

public TextStyle getStyle (int offset) {
	return null;
}

public TextStyle[] getStyles () {
	return null;
}

public int[] getTabs () {
	return null;
}

public String getText () {
	return "";
}

public int getWidth () {
	return 0;
}

public boolean isDisposed () {
	return false;
}

public void setAlignment (int alignment) {
}

public void setAscent (int ascent) {
}

public void setDescent (int descent) {
}

public void setFont (Font font) {
}

public void setIndent (int indent) {
}

public void setJustify (boolean justify) {
}

public void setOrientation (int orientation) {
}

public void setSegments (int[] segments) {
}

public void setSpacing (int spacing) {
}

public void setStyle (TextStyle style, int start, int end) {
}

public void setTabs (int[] tabs) {
}

public void setText (String text) {
}

public void setWidth (int width) {
}

public String toString () {
	return "";
}

}
